Last modified: 2013-02-12 15:23:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35510 - Make Gerrit project list more discoverable and available
Make Gerrit project list more discoverable and available
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://code.google.com/p/gerrit/issue...
: upstream
Depends on: 39589
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-26 23:18 UTC by Sumana Harihareswara
Modified: 2013-02-12 15:23 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2012-03-26 23:18:21 UTC
Gerrit project list https://gerrit.wikimedia.org/r/#admin,projects -- it's hard to find in the UI if you're logged in, and isn't shown anywhere if you're anonymous. We need something that scrapes this data at some interval and makes it available to labsconsole & mediawiki.org.
Comment 1 Chad H. 2012-03-28 13:20:07 UTC
Something working from gerrit.wm.o/r/gerrit/rpc/ProjectAdminService should do.
Comment 2 Antoine "hashar" Musso (WMF) 2012-04-05 10:27:38 UTC
Upstream http://code.google.com/p/gerrit/issues/detail?id=303
Comment 3 Chad H. 2012-04-05 10:45:19 UTC
Shawn Pearce is working on a REST api for ls-projects, so perhaps we could use that once it's merged in.
Comment 4 Chad H. 2012-08-23 20:11:07 UTC
There's two parts to fixing this:

1) The first is the new "Projects" menu item I added in Gerrit 2.5. This will be solved by upgrading (bug 39589)

2) Once we install GitBlit (bug 38383), we'll have much nicer repo browsing all together.
Comment 5 Andre Klapper 2013-02-12 11:12:54 UTC
After yesterday's Gerrit update it's "https://gerrit.wikimedia.org -> Projects -> List" no matter if logged in or not.

Proposing to close as FIXED as GitBlit is tracked in bug 38363.
Wondering if documentation needs updates, but messy anyway (see bug 36437).
Comment 6 Chad H. 2013-02-12 15:23:58 UTC
Indeed. And in addition to that, there's now filtering, direct links for searching, repo browsing, and clicking on the repo will also give you clone URLs.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links